# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your MultiworldGG options are valid at this site:
#        https://multiworld.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Rogue Legacy Template

game: Rogue Legacy
requires:
  version: 0.7.148 # Version of MultiworldGG required for this yaml to work as expected.

Rogue Legacy:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0
    random-high: 0
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  starting_gender:
    # Determines the gender of your initial 'Sir Lee' character.
    sir: 0
    lady: 0
    random: 50

  starting_class:
    # Determines the starting class of your initial 'Sir Lee' character.
    knight: 50
    mage: 0
    barbarian: 0
    knave: 0
    shinobi: 0
    miner: 0
    spellthief: 0
    lich: 0

  available_classes:
    # List of classes that will be in the item pool to find. The upgraded form of the class will be added with it.
    # The upgraded form of your starting class will be available regardless.
    ['Lich', 'Miner', 'Mage', 'Spellthief', 'Barbarian', 'Knave', 'Dragon', 'Traitor', 'Shinobi', 'Knight']

  new_game_plus:
    # Puts the castle in new game plus mode which vastly increases enemy level, but increases gold gain by 50%. Not
    # recommended for those inexperienced to Rogue Legacy!
    normal: 50
    new_game_plus: 0
    new_game_plus_2: 0

  fairy_chests_per_zone:
    # Determines the number of Fairy Chests in a given zone that contain items. After these have been checked, only stat
    # bonuses can be found in Fairy Chests.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 15
    1: 50
    random: 0
    random-low: 0
    random-high: 0

  chests_per_zone:
    # Determines the number of Non-Fairy Chests in a given zone that contain items. After these have been checked, only
    # gold or stat bonuses can be found in Chests.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 20
    # Maximum value is 50
    20: 50
    random: 0
    random-low: 0
    random-high: 0

  universal_fairy_chests:
    # Determines if fairy chests should be combined into one pool instead of per zone, similar to Risk of Rain 2.
    'false': 50
    'true': 0

  universal_chests:
    # Determines if non-fairy chests should be combined into one pool instead of per zone, similar to Risk of Rain 2.
    'false': 50
    'true': 0

  vendors:
    # Determines where to place the Blacksmith and Enchantress unlocks in logic (or start with them unlocked).
    start_unlocked: 0
    early: 50
    normal: 0
    anywhere: 0

  architect:
    # Determines where the Architect sits in the item pool.
    start_unlocked: 0
    early: 0
    anywhere: 50
    disabled: 0

  architect_fee:
    # Determines how large of a percentage the architect takes from the player when utilizing his services. 100 means he
    # takes all your gold. 0 means his services are free.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    40: 50
    random: 0
    random-low: 0
    random-high: 0

  disable_charon:
    # Prevents Charon from taking your money when you re-enter the castle. Also removes Haggling from the Item Pool.
    'false': 50
    'true': 0

  require_purchasing:
    # Determines where you will be required to purchase equipment and runes from the Blacksmith and Enchantress before
    # equipping them. If you disable require purchasing, Manor Renovations are scaled to take this into account.
    'false': 0
    'true': 50

  progressive_blueprints:
    # Instead of shuffling blueprints randomly into the pool, blueprint unlocks are progressively unlocked. You would get
    # Squire first, then Knight, etc., until finally Dark.
    'false': 50
    'true': 0

  gold_gain_multiplier:
    # Adjusts the multiplier for gaining gold from all sources.
    normal: 50
    quarter: 0
    half: 0
    double: 0
    quadruple: 0

  number_of_children:
    # Determines the number of offspring you can choose from on the lineage screen after a death.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 5
    3: 50
    random: 0
    random-low: 0
    random-high: 0

  free_diary_on_generation:
    # Allows the player to get a free diary check every time they regenerate the castle in the starting room.
    'false': 0
    'true': 50

  khidr:
    # Determines if Neo Khidr replaces Khidr in their boss room.
    vanilla: 50
    challenge: 0

  alexander:
    # Determines if Alexander the IV replaces Alexander in their boss room.
    vanilla: 50
    challenge: 0

  leon:
    # Determines if Ponce de Freon replaces Ponce de Leon in their boss room.
    vanilla: 50
    challenge: 0

  herodotus:
    # Determines if Astrodotus replaces Herodotus in their boss room.
    vanilla: 50
    challenge: 0

  health_pool:
    # Determines the number of Health Ups in the item pool.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 15
    15: 50
    random: 0
    random-low: 0
    random-high: 0

  mana_pool:
    # Determines the number of Mana Ups in the item pool.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 15
    15: 50
    random: 0
    random-low: 0
    random-high: 0

  attack_pool:
    # Determines the number of Attack Ups in the item pool.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 15
    15: 50
    random: 0
    random-low: 0
    random-high: 0

  magic_damage_pool:
    # Determines the number of Magic Damage Ups in the item pool.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 15
    15: 50
    random: 0
    random-low: 0
    random-high: 0

  armor_pool:
    # Determines the number of Armor Ups in the item pool.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 10
    10: 50
    random: 0
    random-low: 0
    random-high: 0

  equip_pool:
    # Determines the number of Equip Ups in the item pool.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 10
    10: 50
    random: 0
    random-low: 0
    random-high: 0

  crit_chance_pool:
    # Determines the number of Crit Chance Ups in the item pool.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 5
    5: 50
    random: 0
    random-low: 0
    random-high: 0

  crit_damage_pool:
    # Determines the number of Crit Damage Ups in the item pool.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 5
    5: 50
    random: 0
    random-low: 0
    random-high: 0

  allow_default_names:
    # Determines if the default names defined in the vanilla game are allowed to be used. Warning: Your world will not
    # generate if the number of Additional Names defined is less than the Number of Children value.
    'false': 0
    'true': 50

  additional_lady_names:
    # Set of additional names your potential offspring can have. If Allow Default Names is disabled, this is the only list
    # of names your children can have. The first value will also be your initial character's name depending on Starting
    # Gender.
    []

  additional_sir_names:
    # Set of additional names your potential offspring can have. If Allow Default Names is disabled, this is the only list
    # of names your children can have. The first value will also be your initial character's name depending on Starting
    # Gender.
    []

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with these items.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
